<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:insert="fragments/head :: head(title='Recipe')"></head>
<body>
<div th:insert="fragments/navbar :: navbar"></div>
<link type="text/css" href="/css/DataTables/datatables.min.css" rel="stylesheet">
<script type="text/javascript" src="/js/DataTables/datatables.min.js"></script>

<div class="container py-3">
    <button type="button" class="btn btn-warning" data-bs-toggle="modal"
            data-bs-target="#saveRecipeModal" data-bs-whatever="">
        Add new recipe
    </button>
</div>

<div class="container py-3" th:if="${param.message != null}">
    <div class="alert alert-success" role="alert" th:text="${param.message}"></div>
</div>

<div class="container py-3" th:if="${recipes != null}">
    <fieldset th:if="${recipes}">
        <legend>Recipes</legend>
        <div class="row p-1" th:each="recipe : ${recipes}">
            <div class="col-auto">
                <label class="form-label" th:text="${recipe.id}">:</label>
                <label class="form-label fw-bold" th:text="${recipe.name}"></label>
            </div>
            <div class="col">
                <div class="d-flex justify-content-end">
                    <form method="post" th:action="@{/recipe/delete}">
                        <input type="hidden" th:value="${recipe.id}" name="id">
                        <input type="hidden" th:value="${recipe.name}" name="name">
                        <input type="submit" class="btn btn-danger" value="Delete">
                        <input class="btn btn-primary" data-bs-toggle="modal"
                               type="button" data-bs-target="#saveRecipeModal"
                               th:data-bs-whatever="${recipe.id}+'|'+${recipe.name}"
                               value="Rename">
                    </form>
                    <a class="btn btn-warning ms-3" th:href="'/recipe/'+${recipe.id}">Edit ingredients</a>
                </div>
            </div>
        </div>
    </fieldset>

    <hr>

    <fieldset th:if="${selectRecipe}">
        <legend th:text="'Ingredients for ' + ${selectRecipe.name}"></legend>
        <div class="container py-3">
            <button type="button" class="btn btn-warning" data-bs-toggle="modal"
                    data-bs-target="#saveIngredientModal" th:data-bs-whatever="${selectRecipe.id}">
                Add new ingredient
            </button>
        </div>

        <ol class="list-group list-group-numbered">
            <li class="list-group-item d-flex align-items-center"
                th:each="product : ${selectRecipe.products}">
                <a th:text="${product.name} +' (' + ${product.amount} + ' ' + ${product.measure.title} +')'"></a>
                <input class="btn btn-primary ms-auto" data-bs-toggle="modal"
                       type="button" data-bs-target="#saveIngredientModal"
                       th:data-bs-whatever="${selectRecipe.id}+'|'+${product.id}+'|'+${product.name}+'|'+${product.amount}"
                       value="Edit">
            </li>
        </ol>

    </fieldset>
</div>

<div class="modal fade" id="saveRecipeModal" tabindex="-1" aria-labelledby="Save recipe modal" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalRecipeLabel">Save recipe</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div id="messageRecipeModal" class="alert alert-success" role="alert" style="display: none;">
            </div>
            <div id="errorsRecipeModal" class="alert alert-danger" role="alert" style="display: none;">
            </div>

            <div class="modal-body">
                <form method="post" id="formRecipeSave">
                    <div class="col-auto mb-2">
                        <label for="nameRecipeSave" class="col-form-label">Name:</label>
                        <input type="text" class="form-control" id="nameRecipeSave" name="name">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <input type="hidden" id="idRecipeSave" name="id">
                        <input class="btn btn-primary" value="Save" id="saveRecipeBtn" aria-label="Save button">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="saveIngredientModal" tabindex="-1" aria-labelledby="Save ingredient modal"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalIngredientLabel">Save ingredient</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div id="messageIngredientModal" class="alert alert-success" role="alert" style="display: none;">
            </div>
            <div id="errorsIngredientModal" class="alert alert-danger" role="alert" style="display: none;">
            </div>

            <div class="modal-body">
                <form method="post" id="formIngredientSave">
                    <div class="col-auto mb-2" th:if="${products}">
                        <label for="productId" class="col-form-label">Product</label>
                        <select class="form-select" id="productIngredientId" name="productId"
                                aria-label="Ingredient Id">
                            <option th:each="product : ${products}" th:value="${product.id}"
                                    th:text="${product.name}+' ('+${product.measure.title}+')'"></option>
                        </select>
                    </div>

                    <div class="col-auto mb-2">
                        <label for="amountIngredientSave" class="col-form-label">Amount:</label>
                        <input type="text" class="form-control" id="amountIngredientSave" name="amount">
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <input type="hidden" id="recipeIngredientId" name="recipeId">
                        <input type="button" class="btn btn-danger" value="Delete" id="delIngredientBtn" aria-label="Delete button">
                        <input type="button" class="btn btn-primary" value="Save" id="saveIngredientBtn" aria-label="Save button">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script th:src="@{/js/recipe.js}" type="text/javascript"></script>
<script th:src="@{/js/ingredient.js}" type="text/javascript"></script>

</body>
</html>